org.wildfly.swarm.config.elytron

## Class SyslogAuditLog<T extends SyslogAuditLog<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SyslogAuditLog<T>

-     public class SyslogAuditLog<T extends SyslogAuditLog<T>>
      extends Object

  An audit logger that sends audit events to a remote syslog server.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyslogAuditLog.Transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogAuditLog(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Format` | `format()` The format to use to record the audit event.
    `T` | `format(Format value)` The format to use to record the audit event.
    `String` | `getKey()`
    `String` | `hostName()` The host name to embed withing all events sent to the remote syslog server.
    `T` | `hostName(String value)` The host name to embed withing all events sent to the remote syslog server.
    `Integer` | `port()` The listening port on the syslog server.
    `T` | `port(Integer value)` The listening port on the syslog server.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `serverAddress()` The server address of the syslog server the events should be sent to.
    `T` | `serverAddress(String value)` The server address of the syslog server the events should be sent to.
    `String` | `sslContext()` The SSLContext to use to connect to the syslog server when SSL_TCP transport is used.
    `T` | `sslContext(String value)` The SSLContext to use to connect to the syslog server when SSL_TCP transport is used.
    `SyslogAuditLog.Transport` | `transport()` The transport to use to connect to the syslog server.
    `T` | `transport(SyslogAuditLog.Transport value)` The transport to use to connect to the syslog server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyslogAuditLog

          public SyslogAuditLog(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### format

          public Format format()

      The format to use to record the audit event.

    - #### format

          public T format(Format value)

      The format to use to record the audit event.

    - #### hostName

          public String hostName()

      The host name to embed withing all events sent to the remote syslog server.

    - #### hostName

          public T hostName(String value)

      The host name to embed withing all events sent to the remote syslog server.

    - #### port

          public Integer port()

      The listening port on the syslog server.

    - #### port

          public T port(Integer value)

      The listening port on the syslog server.

    - #### serverAddress

          public String serverAddress()

      The server address of the syslog server the events should be sent to.

    - #### serverAddress

          public T serverAddress(String value)

      The server address of the syslog server the events should be sent to.

    - #### sslContext

          public String sslContext()

      The SSLContext to use to connect to the syslog server when SSL_TCP transport is used.

    - #### sslContext

          public T sslContext(String value)

      The SSLContext to use to connect to the syslog server when SSL_TCP transport is used.

    - #### transport

          public SyslogAuditLog.Transport transport()

      The transport to use to connect to the syslog server.

    - #### transport

          public T transport(SyslogAuditLog.Transport value)

      The transport to use to connect to the syslog server.

Copyright © 2017 JBoss by Red Hat. All rights reserved.